docs

# CommonUser

data class CommonUser ( val id: UserId , val firstName: String , val lastName: String = "", val username: Username ? = null, val ietfLanguageCode: IetfLanguageCode? = null) : User, WithOptionalLanguageCode
Content copied to clipboard

## Constructors

CommonUser
Link copied to clipboard
fun CommonUser ( id: UserId , firstName: String , lastName: String = "", username: Username ? = null, languageCode: String )
Content copied to clipboard
CommonUser
Link copied to clipboard
fun CommonUser ( id: UserId , firstName: String , lastName: String = "", username: Username ? = null, ietfLanguageCode: IetfLanguageCode? = null)
Content copied to clipboard

## Properties

firstName
Link copied to clipboard
open override val firstName : String
Content copied to clipboard
id
Link copied to clipboard
open override val id : UserId
Content copied to clipboard
ietfLanguageCode
Link copied to clipboard
open override val ietfLanguageCode : IetfLanguageCode? = null
Content copied to clipboard
languageCode
Link copied to clipboard
open val languageCode : String ?
Content copied to clipboard
lastName
Link copied to clipboard
open override val lastName : String
Content copied to clipboard
username
Link copied to clipboard
open override val username : Username ? = null
Content copied to clipboard